\clearpage
\chapter{Data and Code}
\section{Postdoc Limits}

\vspace*{.5cm}
\label{data:optimal_gain_and_thresholds}
\begin{tabularx}{\textwidth}{|c||Y|Y|Y|Y|Y|Y|}
    \hline
    c & $r_5$ & $r_4$ & $r_3$ & $r_2$ & $r_1$ & gain \\
    \hline
    0.00 & 1.0000000 &  1.0000000 & 1.0000000 & 0.0000000 & 0.0000000 &1.0000000\\ 
    0.01 & 0.9949684 &  0.9898979 & 0.9898722 & 0.1000000 & 0.0101023 &0.9160490\\ 
    0.02 & 0.9898720 &  0.9795832 & 0.9794769 & 0.1414214 & 0.0204191 &0.8531520\\ 
    0.03 & 0.9847083 &  0.9690416 & 0.9687948 & 0.1732051 & 0.0309663 &0.7983735\\ 
    0.04 & 0.9794748 &  0.9582576 & 0.9578042 & 0.2000000 & 0.0417622 &0.7489731\\ 
    0.05 & 0.9741688 &  0.9472136 & 0.9464803 & 0.2236068 & 0.0528273 &0.7036561\\ 
    0.06 & 0.9687873 &  0.9358899 & 0.9347954 & 0.2449490 & 0.0641852 &0.6616661\\ 
    0.07 & 0.9633272 &  0.9242641 & 0.9227174 & 0.2645751 & 0.0758629 &0.6225094\\ 
    0.08 & 0.9577850 &  0.9123106 & 0.9102093 & 0.2828427 & 0.0878919 &0.5858407\\ 
    0.09 & 0.9521573 &  0.9000000 & 0.8972283 & 0.3000000 & 0.1003089 &0.5514083\\ 
    0.10 & 0.9464401 &  0.8872983 & 0.8837239 & 0.3162278 & 0.1131575 &0.5190226\\ 
    0.11 & 0.9406293 &  0.8741657 & 0.8696362 & 0.3316625 & 0.1264897 &0.4885393\\ 
    0.12 & 0.9347204 &  0.8605551 & 0.8548932 & 0.3464102 & 0.1403684 &0.4598479\\ 
    0.13 & 0.9287084 &  0.8464102 & 0.8394069 & 0.3605551 & 0.1548713 &0.4328646\\ 
    0.14 & 0.9225881 &  0.8316625 & 0.8230680 & 0.3741657 & 0.1700953 &0.4075284\\ 
    0.15 & 0.9163538 &  0.8162278 & 0.8057382 & 0.3872983 & 0.1861647 &0.3837985\\ 
    0.16 & 0.9099991 &  0.8000000 & 0.7872374 & 0.4000000 & 0.2032424 &0.3616532\\ 
    0.17 & 0.9035173 &  0.7828427 & 0.7673242 & 0.4123106 & 0.2215491 &0.3410912\\ 
    0.18 & 0.8969007 &  0.7645751 & 0.7456618 & 0.4242641 & 0.2413963 &0.3221339\\ 
    0.19 & 0.8901411 &  0.7449490 & 0.7217546 & 0.4358899 & 0.2632474 &0.3048315\\ 
    0.20 & 0.8832292 &  0.7236068 & 0.6948178 & 0.4472136 & 0.2878453 &0.2892741\\ 
    0.21 & 0.8761549 &  0.7000000 & 0.6634643 & 0.4582576 & 0.3165204 &0.2756152\\ 
    0.22 & 0.8689066 &  0.6732051 & 0.6247389 & 0.4690416 & 0.3521471 &0.2641265\\ 
    0.23 & 0.8614717 &  0.6414214 & 0.5690762 & 0.4795832 & 0.4041638 &0.2553788\\ 
    0.24 & 0.8538356 &  0.6000000 & 0.4898979 & 0.4898979 & 0.4898979 &0.2513442\\ 
    0.25 & 0.8459820 &  0.5000000 & 0.5000000 & 0.5000000 & 0.5000000 &0.2500000\\ 
    ... & ... &  ... & ... & ... & ... &...\\ 
    1.0 & - &  - & - & - & - & 0.2500000 \\ 
    \hline
\end{tabularx}    
\captionof{figure}{The limits of the threshold ratios of the optimal strategy for the \textit{Postdoc Problem} in the \textit{reservation-per-item} model as the number of candidates approaches infinity. }

\clearpage
\section{Best or Worst Limits}

\vspace*{.5cm}

\label{data:bow_optimal_gain_and_thresholds}
\begin{tabularx}{\textwidth}{|c||Y|Y|Y||c|Y|Y|Y|}
    \hline
    $c$ & $r_1$ & $r_2$ & $gain$ & $c$ & $r_1$ & $r_2$ & $gain$ \\
    \hline
    0.000 & 0.000000 &  1.000000 &  1.000000 & 0.190 & 0.328504 &  0.785035 &  0.619511 \\ 
    0.010 & 0.070890 &  0.989949 &  0.963584 & 0.200 & 0.338629 &  0.771691 &  0.606955 \\ 
    0.020 & 0.100514 &  0.979794 &  0.934254 & 0.210 & 0.348705 &  0.758028 &  0.594964 \\ 
    0.030 & 0.123433 &  0.969531 &  0.907698 & 0.220 & 0.358757 &  0.744016 &  0.583544 \\ 
    0.040 & 0.142919 &  0.959154 &  0.883003 & 0.230 & 0.368813 &  0.729619 &  0.572705 \\ 
    0.050 & 0.160238 &  0.948659 &  0.859740 & 0.240 & 0.378899 &  0.714794 &  0.562460 \\ 
    0.060 & 0.176041 &  0.938040 &  0.837655 & 0.250 & 0.389046 &  0.699491 &  0.552827 \\ 
    0.070 & 0.190713 &  0.927290 &  0.816585 & 0.260 & 0.399286 &  0.683647 &  0.543829 \\ 
    0.080 & 0.204507 &  0.916404 &  0.796416 & 0.270 & 0.409655 &  0.667188 &  0.535494 \\ 
    0.090 & 0.217599 &  0.905375 &  0.777062 & 0.280 & 0.420193 &  0.650016 &  0.527857 \\ 
    0.100 & 0.230118 &  0.894194 &  0.758461 & 0.290 & 0.430950 &  0.632006 &  0.520963 \\ 
    0.110 & 0.242164 &  0.882854 &  0.740564 & 0.300 & 0.441985 &  0.612993 &  0.514869 \\ 
    0.120 & 0.253813 &  0.871344 &  0.723331 & 0.310 & 0.453370 &  0.592746 &  0.509648 \\ 
    0.130 & 0.265128 &  0.859656 &  0.706734 & 0.320 & 0.465202 &  0.570930 &  0.505395 \\ 
    0.140 & 0.276163 &  0.847777 &  0.690749 & 0.330 & 0.477611 &  0.547022 &  0.502243 \\ 
    0.150 & 0.286961 &  0.835695 &  0.675358 & 0.340 & 0.490785 &  0.520121 &  0.500382 \\ 
    0.160 & 0.297562 &  0.823397 &  0.660546 & 0.350 & 0.500000 &  0.500000 &  0.500000 \\ 
    0.170 & 0.307999 &  0.810866 &  0.646305 & ... & 0.500000 &  0.500000 &  0.500000 \\ 
    0.180 & 0.318303 &  0.798085 &  0.632627 & 1.000 & 0.500000 &  0.500000 &  0.500000 \\     
    \hline
\end{tabularx}
\captionof{figure}{The limits of the threshold ratios of the optimal strategy for the \textit{Best or Worst Problem} in the \textit{reservation-per-item} model as the number of candidates approaches infinity.}

\section{Code}
The raw \LaTeX\xspace files and the code to generate the images and tables are publicly available at
\underline{\href{https://git.rwth-aachen.de/christian.muertz/bachelorthesis}{https://git.rwth-aachen.de/christian.muertz/bachelorthesis}}.